AM263Px MCU+ SDK: ICSS_EMAC_Params Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
ICSS_EMAC_Params Struct Reference
APIs for Networking modules » APIs for ICSS-EMAC

## Detailed Description

ICSS_EMAC Parameters.

ICSS_EMAC Parameters are used to with the ICSS_EMAC_open() call. Default values for these parameters are set using ICSS_EMAC_Params_init().

[MANDATORY] is present in the description for members which are mandatory.

See also
  ICSS_EMAC_Params_init()

## Data Fields
PRUICSS_Handle | pruicssHandle
const PRUICSS_IntcInitData * | pruicssIntcInitData
ICSS_EMAC_FwStaticMmap * | fwStaticMMap
ICSS_EMAC_FwDynamicMmap * | fwDynamicMMap
ICSS_EMAC_FwVlanFilterParams * | fwVlanFilterParams
ICSS_EMAC_FwMulticastFilterParams * | fwMulticastFilterParams
ICSS_EMAC_CallBackObject | callBackObject
ETHPHY_Handle | ethphyHandle [ICSS_EMAC_MAX_PORTS_PER_INSTANCE]
uint8_t | macId [6]
uint8_t | enableHostQueueIsolation

## Field Documentation

## ◆ pruicssHandle

PRUICSS_Handle ICSS_EMAC_Params::pruicssHandle

[MANDATORY] PRUICSS Handle for which the ICSS-EMAC driver will be based on

## ◆ pruicssIntcInitData

const PRUICSS_IntcInitData* ICSS_EMAC_Params::pruicssIntcInitData

[MANDATORY] PRUICSS INTC mapping structure pointer needed for PRUICSS_intcInit call

## ◆ fwStaticMMap

ICSS_EMAC_FwStaticMmap* ICSS_EMAC_Params::fwStaticMMap

[MANDATORY] Static Firmware Memory Map offsets

## ◆ fwDynamicMMap

ICSS_EMAC_FwDynamicMmap* ICSS_EMAC_Params::fwDynamicMMap

[MANDATORY] Dynamic Firmware Memory Map offsets

## ◆ fwVlanFilterParams

ICSS_EMAC_FwVlanFilterParams* ICSS_EMAC_Params::fwVlanFilterParams

VLAN filtering related Firmware Memory Map offsets. Should be passed if IOCTL commands for VLAN filtering are going to be used

## ◆ fwMulticastFilterParams

ICSS_EMAC_FwMulticastFilterParams* ICSS_EMAC_Params::fwMulticastFilterParams

Multicast filtering related Firmware Memory Map offsets. Should be passed if IOCTL commands for Multicast filtering are going to be used

## ◆ callBackObject

ICSS_EMAC_CallBackObject ICSS_EMAC_Params::callBackObject

Callback functions for difference scenarios like link change, Rx for NRT/RT, Tx and Learning exception

## ◆ ethphyHandle

ETHPHY_Handle ICSS_EMAC_Params::ethphyHandle[ICSS_EMAC_MAX_PORTS_PER_INSTANCE]

[MANDATORY] Ethernet PHY Handle. For mac mode, ethphyHandle[0] is used. For switch mode, ethphyHandle[0] and ethphyHandle[1] are used.

## ◆ macId

uint8_t ICSS_EMAC_Params::macId[6]

[MANDATORY] MacId to be used for the interface

## ◆ enableHostQueueIsolation

uint8_t ICSS_EMAC_Params::enableHostQueueIsolation